[Ironruby-core] IronRuby 1.1.1 under Mono (on Linux)

Michael Letterle michael.letterle at gmail.com
Sat Oct 23 22:12:00 EDT 2010


Running into some issues, curious if anyone else has seen these.

Note, I see the same behavior if I build from Trunk or download the
binaries from Codeplex.

Mono JIT compiler version 2.8.1 (master/e8a3aab Fri Oct 22 22:15:50 EDT 2010)
Copyright (C) 2002-2010 Novell, Inc and Contributors. www.mono-project.com
	TLS:           __thread
	SIGSEGV:       altstack
	Notifications: epoll
	Architecture:  amd64
	Disabled:      none
	Misc:          softdebug
	LLVM:          supported, not enabled.
	GC:            Included Boehm (with typed GC and Parallel Mark)

Running tests:

 mono ../bin/Debug/ir64.exe run.rb
IronRubyDriver ( /home/mletterle/src/ironruby/Languages/Test/Scripts/ir.cmd  )
    log @ /home/mletterle/src/ironruby/Languages/Ruby/Tests/ironm2_10232207.log
./common.rb:108:in `chdir': undefined method `exitstatus' for
nil:NilClass (NoMethodError)
	from ./common.rb:108:in `run'
	from mscorlib:0:in `invoke_object__this___CallSite_object_object_object_object'
	from mscorlib:0:in `invoke_object__this___CallSite_object_object_object_object'
	from ./common.rb:102:in `run'
	from run.rb:69:in `run_by'
	from run.rb:128:in `each'
	from run.rb:128
	from run.rb:128
	from mscorlib:0:in `invoke_object__this___Func`4<object, Proc,
object, object>_object_Proc_object'
	from /home/mletterle/src/ironruby/Languages/Ruby/bin/Debug/../../../../External.LCA_RESTRICTED/Languages/Ruby/ruby19/lib/ruby/1.9.1/benchmark.rb:294:in
`measure'
	from mscorlib:0:in `invoke_object__this___CallSite_object_object_object_object'
	from run.rb:121:in `each'
	from run.rb:121



This seems to occur due to system() not populating $? (or indeed
working at all from what I can tell...)

Trying to run irb doesn't work:

 mono ../../bin/Debug/ir64.exe irb
mscorlib:0:in `invoke_object__this___Func`4<object, Proc, object,
object>_object_Proc_object': can't convert Symbol into Fixnum
(TypeError)
	from /home/mletterle/src/ironruby/Languages/Ruby/bin/Debug/../../../../External.LCA_RESTRICTED/Languages/Ruby/ruby19/lib/ruby/1.9.1/irb/locale.rb:35:in
`initialize'
	from /home/mletterle/src/ironruby/Languages/Ruby/bin/Debug/../../../../External.LCA_RESTRICTED/Languages/Ruby/ruby19/lib/ruby/1.9.1/irb/init.rb:114:in
`init_config'
	from mscorlib:0:in `invoke_object__this___Func`4<object, Proc,
object, object>_object_Proc_object'
	from /home/mletterle/src/ironruby/Languages/Ruby/bin/Debug/../../../../External.LCA_RESTRICTED/Languages/Ruby/ruby19/lib/ruby/1.9.1/irb/init.rb:16:in
`setup'
	from /home/mletterle/src/ironruby/Languages/Ruby/bin/Debug/../../../../External.LCA_RESTRICTED/Languages/Ruby/ruby19/lib/ruby/1.9.1/irb.rb:53:in
`start'

gem returns a different error:

 mono ../../bin/Debug/ir64.exe gem --help
/home/mletterle/src/ironruby/Languages/Ruby/bin/Debug/../../../../External.LCA_RESTRICTED/Languages/Ruby/ruby19/lib/ruby/1.9.1/rubygems/requirement.rb:72:in
`parse': Illformed requirement [">= 0"] (ArgumentError)
	from /home/mletterle/src/ironruby/Languages/Ruby/bin/Debug/../../../../External.LCA_RESTRICTED/Languages/Ruby/ruby19/lib/ruby/1.9.1/rubygems/requirement.rb:97:in
`map!'
	from /home/mletterle/src/ironruby/Languages/Ruby/bin/Debug/../../../../External.LCA_RESTRICTED/Languages/Ruby/ruby19/lib/ruby/1.9.1/rubygems/requirement.rb:97:in
`initialize'
	from mscorlib:0:in `invoke_object__this___Func`4<object, Proc,
object, object>_object_Proc_object'
	from /home/mletterle/src/ironruby/Languages/Ruby/bin/Debug/../../../../External.LCA_RESTRICTED/Languages/Ruby/ruby19/lib/ruby/1.9.1/rubygems/requirement.rb:97:in
`initialize'
	from /home/mletterle/src/ironruby/Languages/Ruby/bin/Debug/../../../../External.LCA_RESTRICTED/Languages/Ruby/ruby19/lib/ruby/1.9.1/rubygems/requirement.rb:53:in
`default'
	from /home/mletterle/src/ironruby/Languages/Ruby/bin/Debug/../../../../External.LCA_RESTRICTED/Languages/Ruby/ruby19/lib/ruby/1.9.1/rubygems/specification.rb:1201:in
`require'
	from /home/mletterle/src/ironruby/Languages/Ruby/bin/Debug/../../../../External.LCA_RESTRICTED/Languages/Ruby/ruby19/lib/ruby/1.9.1/rubygems/specification.rb:1201
	from /home/mletterle/src/ironruby/Languages/Ruby/bin/Debug/../../../../External.LCA_RESTRICTED/Languages/Ruby/ruby19/lib/ruby/1.9.1/rubygems/custom_require.rb:29:in
`require'
	from /home/mletterle/src/ironruby/Languages/Ruby/bin/Debug/../../../../External.LCA_RESTRICTED/Languages/Ruby/ruby19/lib/ruby/1.9.1/rubygems/source_index.rb:8:in
`require'
	from /home/mletterle/src/ironruby/Languages/Ruby/bin/Debug/../../../../External.LCA_RESTRICTED/Languages/Ruby/ruby19/lib/ruby/1.9.1/rubygems/source_index.rb:8
	from /home/mletterle/src/ironruby/Languages/Ruby/bin/Debug/../../../../External.LCA_RESTRICTED/Languages/Ruby/ruby19/lib/ruby/1.9.1/rubygems/custom_require.rb:29:in
`require'
	from /home/mletterle/src/ironruby/Languages/Ruby/bin/Debug/../../../../External.LCA_RESTRICTED/Languages/Ruby/ruby19/lib/ruby/1.9.1/rubygems.rb:1088:in
`require'
	from /home/mletterle/src/ironruby/Languages/Ruby/bin/Debug/../../../../External.LCA_RESTRICTED/Languages/Ruby/ruby19/lib/ruby/1.9.1/rubygems.rb:1088
	from /home/mletterle/src/ironruby/Languages/Ruby/bin/Debug/../../../../External.LCA_RESTRICTED/Languages/Ruby/ruby19/lib/ruby/1.9.1/rubygems/custom_require.rb:29:in
`require'

Again, same errors occur if I'm using the prebuilt assemblies or self-built.




-- 
Michael Letterle
IronRuby MVP
http://blog.prokrams.com


More information about the Ironruby-core mailing list